commit:     fda50493c8763a7f03d6479303c30a3015f7be94
Author:     Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 12 14:18:50 2016 +0000
Commit:     Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
CommitDate: Mon Sep 12 14:21:04 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fda50493

dev-python/webassets: version bump

Package-Manager: portage-2.3.0

 dev-python/webassets/Manifest              |  1 +
 dev-python/webassets/webassets-0.12.ebuild | 39 ++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/dev-python/webassets/Manifest b/dev-python/webassets/Manifest
index 7f4f797..2b4aa52 100644
--- a/dev-python/webassets/Manifest
+++ b/dev-python/webassets/Manifest
@@ -1 +1,2 @@
 DIST webassets-0.10.1.tar.gz 171666 SHA256 
8e7dedd8032a963ef7e55e670cc109927e1f153b35cf8e9634617d0c6ee93329 SHA512 
2879630608c3bd6904bc9f7ab6eceae899df967856e6d7b6dd125106ca27635993bf34309e320a0deacdb3b31020b69d59b4f85afdeae259b4915557c5ae6134
 WHIRLPOOL 
315e0a0e836683d4750e176ce89fb929e4027f8a32dcf941d0c5faf3c356923ff7db9b8b19d41bd6741ba41c68fd9c96a8f16d7af98b8efdabcf2afeadbd4953
+DIST webassets-0.12.tar.gz 180368 SHA256 
99bc8218140b903e7d6e51d13f928ed61df275e36f00720243ac1ec31efc3701 SHA512 
ad95e5345f9f736389fc684c5b51bb47ad5abb3bdca03a3a4649892095d139722aaf5aa57677997fe869e751b1b82a63c3a882c58005bc6a2ab954bc479447b7
 WHIRLPOOL 
fd7a30733a5565587987a75af7ecedc475c519e95ea60dc57df4636a9ce887febef7840fdf1e2eef066a81c30f9fe8c967dc175fd8efa2a5dcd38791924c01e1

diff --git a/dev-python/webassets/webassets-0.12.ebuild 
b/dev-python/webassets/webassets-0.12.ebuild
new file mode 100644
index 00000000..6de6698
--- /dev/null
+++ b/dev-python/webassets/webassets-0.12.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Asset management for Python web development"
+HOMEPAGE="https://github.com/miracle2k/webassets";
+SRC_URI="https://github.com/miracle2k/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+# ^^ pypi tarball is missing tests
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND=""
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/nose[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}] )"
+
+python_prepare_all() {
+       # webassets wants /usr/bin/babel from babeljs,
+       # but we have only one from openbabel
+       # ... and we don't have postcss
+       sed -i \
+               -e 's|\(TestBabel\)|No\1|' \
+               -e 's|\(TestAutoprefixer6Filter\)|No\1|' \
+               tests/test_filters.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       py.test -v || die
+}

Reply via email to